@import url("https://fonts.googleapis.com/css2?family=Heebo:wght@100;200;300;500;700&display=swap");

* {
  list-style-type: none;
  text-decoration: none;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}
body {
  padding: 0;
  margin: 0;
  position: relative;
  color: var(--lightdark-color);
  overflow-x: hidden;
  background-color: var(--white-color);
  font-family: "Heebo", sans-serif;
}
:root {
  --white-color: #ffff;
  --orange-color: #dc8e2b;
  --offwhite-color: #e5e6e7;
  --lightdark-color: #3f3f41;
  --swiper-navigation-color: rgba(174, 92, 0, 1);
  --swiper-pagination-color: rgba(189, 111, 25, 1);
  --swiper-pagination-bullet-inactive-color: rgba(189, 111, 25, 1);
}

/* common style */
section {
  width: 100vw;
  height: 100vh;
  overflow-y: scroll;
  padding: 2rem 8rem;
}
button {
  padding: 1rem 2rem;
  border-radius: 10px;
  border: none;
  font-size: 16px;
  font-family: inherit;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
button::before,
.swiper-slide-text-49af::before {
  content: "";
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5);
  position: absolute;
  transform: translateX(-200px);
  left: 0;
  top: 0;
  transition: transform 0.5s ease;
}
button:hover:before,
.swiper-slide-text-49af:hover:before {
  transform: translateX(200px);
}
.regular-btn {
  background-color: var(--orange-color);
  color: var(--white-color);
}
.disabled-btn {
  display: none;
}
.outline-btn {
  color: var(--lightdark-color);
  background-color: transparent;
  border: 1px solid var(--orange-color);
}
img {
  max-width: 100%;
  max-height: 100%;
}
h2 {
  font-size: 4rem;
  font-weight: 400;
  color: var(--lightdark-color);
}
h3 {
  font-size: 2rem;
}
p {
  font-size: 2rem;
  line-height: 3rem;
  font-weight: 300;
}
li {
  font-weight: 300;
}
.overlay {
  width: 100vw;
  height: 100vh;
  background-color: transparent;
  z-index: 2;
  transform: translateX(100%);
  position: fixed;
}
small {
  font-size: 0.9rem;
  font-weight: 400;
  color: var(--orange-color);
}
h2 {
  margin-top: 0;
}
/* end of common style */
/* header */
header {
  height: 10vh;
  display: flex;
  padding: 0 8rem;
  align-items: center;
  justify-content: space-between;
}
.nav-btn {
  z-index: 10;
  position: fixed;
  right: 0;
  padding-right: 5rem;
}
.nav-btn i {
  font-size: 30px;
  cursor: pointer;
}
.nav-btn i:hover {
  color: var(--orange-color);
}
nav {
  position: fixed;
  width: 25vw;
  display: flex;
  right: 0;
  background-color: rgba(48, 46, 44, 0.9);
  transform: translateX(120%);
  flex-direction: column;
  justify-content: space-between;
  padding: 5rem 0;
  align-items: center;
  height: 100vh;
  transition: transform 0.5s ease 0.8s;
  z-index: 9;
}
.show-nav {
  transform: translateX(0);
  transition: transform 0.5s ease;
}
.close-menu {
  color: var(--white-color);
  font-size: 1px;
}
.close-menu i {
  font-size: 1px;
}
nav a {
  font-size: 16px;
  font-weight: 200;
  color: var(--white-color);
  width: 100%;
  text-align: center;
  transition: all 0.5s ease;
  padding-bottom: 10px;
  position: relative;
  transform: translateX(120%);
  transition: transform 0.5s ease;
}
nav a:hover {
  color: var(--orange-color);
}
nav a::before {
  content: "";
  background-color: var(--orange-color);
  width: 0;
  height: 1px;
  position: absolute;
  bottom: 15px;
  right: 0;
  transition: width 0.5s;
}
nav a:hover::before {
  width: 20%;
}
nav i {
  font-size: 30px;
  margin-right: 40px;
  color: var(--orange-color);
  text-align: center;
  height: 10px;
  width: 100%;
}
/* animation */
.active {
  transform: translateX(0);
}
.home-nav.active {
  transition-delay: 0.2s;
}
.about-nav.active {
  transition-delay: 0.3s;
}
.skill-nav.active {
  transition-delay: 0.4s;
}
.work-nav.active {
  transition-delay: 0.5s;
}
.contact-nav.active {
  transition-delay: 0.6s;
}
.home-nav {
  transition-delay: 0.6s;
}
.about-nav {
  transition-delay: 0.5s;
}
.skill-nav {
  transition-delay: 0.4s;
}
.work-nav {
  transition-delay: 0.3s;
}
.contact-nav {
  transition-delay: 0.2s;
}
/* hero section */
.hero-section {
  background-color: var(--offwhite-color);
  height: 100vh;
  display: flex;
  color: var(--lightdark-color);
  padding: 0 8rem;
  overflow-y: hidden;
}
.hero-section-img,
.hero-section-text {
  width: 50%;
  height: 105%;
}
.hero-section-text {
  display: flex;
  flex-direction: column;
  text-align: left;
  justify-content: center;
}
.hero-section-text h1,
.hero-section-text h2,
.hero-section-text p,
.hero-section-text small {
  margin: 0;
}
.hero-section-text h1 {
  font-size: 7rem;
}
small {
  font-size: 2rem;
}
.hero-section-text i {
  font-size: 20px;
  color: var(--orange-color);
  margin: 2rem 1rem;
  cursor: pointer;
}
.hero-section-text button {
  margin-top: 2rem;
}
.hero-section-text button:nth-of-type(2) {
  margin-left: 2rem;
}
/* end of hero section */
/* about-me section */
.about-me-section {
  overflow: hidden;
}
.about-me-text {
  height: 100%;
  width: 100%;
  margin: 5rem 1rem;
  padding-top: 10rem;
}
/* end of about-me section*/
/* skill */
.skill-section {
  padding-top: 5rem;
  background-color: var(--offwhite-color);
}
.skills-container {
  height: auto;
  display: flex;
  margin: 5% 0;
  justify-content: space-evenly;
}
.skill {
  margin: 0 3rem;
}
.skill-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;
  border-bottom: 1px solid grey;
}
.skill-icon img {
  width: 50%;
}
.skill ul {
  height: 70%;
  padding-left: 0;
}
.skill ul li {
  font-size: 16px;
  text-align: left;
  color: var(--offdark-color);
}
.skill-ul-container {
  display: flex;
  width: 100%;
  justify-content: space-evenly;
}
/*end of skill */
/* project section */
.project-section {
  height: auto;
}
.grid-btn {
  margin-bottom: 20px;
}
.carousel-btn {
  display: none;
}
.project-container {
  display: grid;
  margin-top: 5rem;
  gap: 20px;
  width: 100%;
  grid-template-columns: repeat(3, auto);
  grid-template-rows: auto;
}
.project-card {
  background-color: var(--offwhite-color);
  padding: 5rem;
  color: var(--lightdark-color);
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 10px;
}
.project-card small {
  color: var(--lightdark-color);
}
.project-card a:last-of-type {
  margin-left: 2rem;
}
.swiper-container {
  height: 100vh;
}
/* swiper */
.swiper {
  user-select: none;
  box-sizing: border-box;
  overflow: hidden;
  width: 100%;
  height: 100%;
  padding: 48px 0px;
}
.swiper p,
.swiper h3 {
  margin: 0;
  padding: 0;
  text-align: center;
}
.swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 76%;
  height: 100%;
  position: relative;
  box-sizing: border-box;
}
.swiper-slide-bg-image {
  position: absolute;
  left: 0%;
  top: 0%;
  width: 100%;
  height: 100%;
  z-index: 0;
}
.swiper-slide-content {
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;
  z-index: 1;
  box-sizing: border-box;
}
.swiper-slide-17ac {
  background-color: rgba(225, 225, 225, 1);
  border: 4px solid rgba(255, 255, 255, 1);
  border-radius: 12px;
  padding: 0 1rem;
}
.swiper-slide-bg-image-7cef {
  object-fit: contain;
}

.swiper-slide-content-db52 {
  padding: 24px 24px;
  flex-direction: column;
  gap: 0px;
  align-items: flex-start;
  justify-content: flex-end;
}

.swiper-slide-block-86a8 {
  display: flex;
  box-sizing: border-box;
  width: 100%;
  flex-direction: column;
  gap: 16px;
  align-items: center;
  background-color: rgba(41, 41, 41, 0.7);
  border-radius: 10px;
  padding: 24px;
}

.swiper-slide-text-005e {
  color: rgba(255, 255, 255, 1);
  font-size: 32px;
  line-height: 1.5;
  font-weight: bold;
}

.swiper-slide-text-5604 {
  color: rgba(255, 255, 255, 1);
  text-align: left;
  font-size: 16px;
  line-height: 1.5;
}

.swiper-slide-block-f990 {
  display: flex;
  box-sizing: border-box;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  padding: 20px 0px;
}

.swiper-slide-block-615b {
  display: flex;
  box-sizing: border-box;
  text-decoration: none;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  padding: 0px 32px;
}

.swiper-slide-text-49af {
  background-color: var(--orange-color);
  font-size: 14px;
  padding: 0.5rem 1rem;
  border-radius: 5px;
  color: var(--offwhite-color);
  transition: transform 0.5s ease;
  position: relative;
  overflow: hidden;
}

.swiper-slide-block-773f {
  display: flex;
  box-sizing: border-box;
  text-decoration: none;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  padding: 0px 0px;
  margin: 0 10px;
}

.disabled-link {
  display: none;
}
/* end of swiper */
/* end of project section */

/* contact section */
.contact-section {
  background-color: var(--offwhite-color);
  height: auto;
}
.contact-form {
  width: 100%;
  height: 90%;
  align-items: center;
  display: flex;
  justify-content: space-evenly;
}
.mail-icon {
  width: 30%;
}
form {
  width: 40%;
  max-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  padding: 5rem;
  border-radius: 10px;
  font-size: 16px;
  background-color: var(--white-color);
}
label {
  margin-top: 2rem;
  font-size: 2rem;
}
.submit-btn,
.reset-btn {
  width: 80px;
  margin: 20px;
}
form input {
  padding: 1rem;
  font-size: 18px;
  border: none;
  background-color: var(--offwhite-color);
}
form input:focus {
  outline: none;
}
.btn-form {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: space-evenly;
}
textarea {
  min-height: 300px;
  max-height: 300px;
  min-width: 100%;
  max-width: 100%;
  font-size: 18px;
  font-family: inherit;
  padding: 1rem;
  background-color: var(--offwhite-color);
  border: none;
}

textarea:focus {
  outline: none;
}

form small {
  color: var(--orange-color);
}
.contact-section i {
  color: var(--orange-color);
  margin-right: 20px;
  font-size: 20px;
}

/* end of contact section */
@media screen and (max-width: 1200px) {
  body {
    overflow-x: hidden;
  }
  header {
    padding: 2rem;
  }
  .nav-btn {
    padding-right: 2rem;
  }
  section {
    padding: 2rem;
    height: auto;
  }
  nav {
    width: 100%;
  }
  h2 {
    font-size: 2.5rem;
  }
  small {
    font-size: 1.5rem;
  }
  button {
    padding: 1rem 2rem;
    font-size: 12px;
  }
  .hero-section {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: auto;
  }
  .hero-section-img,
  .hero-section-text {
    width: 100%;
    height: 50%;
  }
  .hero-section-img {
    display: flex;
    align-items: center;
  }
  .hero-section-text {
    align-items: center;
    text-align: center;
  }
  .hero-section-img img {
    margin: 0 auto;
    max-width: 50%;
    object-fit: contain;
  }
  p {
    font-size: 1.5rem;
  }
  .about-me-section {
    flex-direction: column-reverse;
    height: auto;
  }
  .about-me-text,
  .about-me-img {
    width: 100%;
    margin-top: 0;
    padding-top: 0;
  }
  .about-me-img img {
    width: 50%;
    margin: 0 auto;
  }
  .project-section {
    height: 100vh;
  }
  .swiper-container {
    height: 100%;
  }
  .project-card {
    text-align: center;
    padding: 1rem;
  }
  .project-container {
    grid-template-columns: repeat(2, 1fr);
  }
  .project-card button {
    width: 100%;
    margin: 0.5rem 0;
  }
  .project-card a:last-of-type {
    margin-left: 0;
  }
  .contact-form {
    flex-direction: column;
  }
  form {
    width: 100%;
    text-align: left;
  }
  form button {
    padding: 1rem 2.5rem;
  }
}
@media screen and (max-width: 680px) {
  .skills-container {
    flex-direction: column;
  }
  .skill {
    border: none;
    margin-top: 1rem;
  }
  .skill-ul-container {
    flex-direction: column;
  }
  .swiper-slide-text-49af {
    color: var(--offwhite-color);
    font-size: 10px;
    padding: 0.5rem 1rem;
    width: 100%;
    border-radius: 5px;
  }
}
@media screen and (max-width: 450px) {
  section {
    padding: 2rem;
  }
  .skill-section {
    padding: 2rem;
  }
  .hero-section h1 {
    font-size: 3rem;
  }
  .hero-section h2 {
    font-size: 2rem;
  }
  .skills-container {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
  }
  .skill {
    border: none;
    margin-top: 2rem;
  }
  .project-container {
    grid-template-columns: auto;
    grid-template-rows: auto;
  }
  .swiper-slide-block-615b {
    padding: 0;
  }

  .swiper-slide-text-49af {
    font-size: 12px;
    padding: 2px;
    width: 80px;
    margin: 0 10px;
    text-align: center;
  }

  .swiper-slide-content-db52 {
    padding: 0;
  }
  .swiper-slide-text-5604 {
    line-height: 0;
  }

  .swiper-slide-block-86a8 {
    gap: 10px;
    padding: 2px 16px;
    width: 100%;
    margin: 0;
  }

  form {
    padding: 10px;
  }

  .contact-section {
    padding: 2rem;
  }
}
